Website Input - Feature #1968

Add browser support for forms authentication
08/04/2017 04:32 AM - Luke Murphey

Status: Closed Start date: 08/07/2017
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 4.5

Description

Subtasks:

Task # 1972: Abstract out Firefox and Chrome browser support into separate classes

Task # 1973: Add form element completion

Task # 1974: Submit the login form; ensure state is retained

Task # 1975: Implement browser-based form field detection
Feature # 1980: Update the controller to work with form auth
Feature # 1981: Remove restriction of form auth to the built-in client

Closed
Closed
Closed
Closed
Closed
Closed

Related issues:
Related to Website Input - Feature #758: Handle forms authentication

Closed 07/30/2017

Associated revisions

Revision 573 - 08/10/2017 10:54 PM - lukemurphey

Adding backend support for browser authentication

Reference #1968

Revision 585 - 08/10/2017 10:54 PM - lukemurphey

Adding backend support for browser authentication

Reference #1968

History

#1 - 08/04/2017 04:33 AM - Luke Murphey

¢ https://stackoverflow.com/questions/18557275/locating-entering-a-value-in-a-text-box-using-selenium-and-python

e https://stackoverflow.com/questions/25583641/set-value-of-input-instead-of-sendkeys-selenium-webdriver-nodejs

#2 - 08/04/2017 04:45 AM - Luke Murphey
- Related to Feature #758: Handle forms authentication added

#3 - 08/08/2017 12:20 AM - Luke Murphey

- Target version set to 4.5

#4 - 08/08/2017 02:55 AM - Luke Murphey

http://selenium-python.r: h .io/navigating.html

https://stackoverflow.com/questions/21186327/fill-username-and-password-using-selenium-in-python

05/03/2024
https://stackoverflow.com/questions/18557275/locating-entering-a-value-in-a-text-box-using-selenium-and-python
https://stackoverflow.com/questions/25583641/set-value-of-input-instead-of-sendkeys-selenium-webdriver-nodejs
http://selenium-python.readthedocs.io/navigating.html
https://stackoverflow.com/questions/21186327/fill-username-and-password-using-selenium-in-python

#5 - 08/08/2017 02:57 AM - Luke Murphey

https://stackoverflow.com/questions/26050075/filling-out-web-form-data-using-built-in-python-modules

#6 - 08/08/2017 02:58 AM - Luke Murphey

e https: koverflow.com/

#7 - 08/08/2017 06:05 AM - Luke Murphey

It doesn't appear that calling open multiple times on the same URL will allow you to navigate while retaining cookies.

However, you can persist them per this: https:/stackoverflow.com/questions/38839881/selenium-store-cookie-for-use-in-new-browser

#8 - 08/08/2017 06:28 AM - Luke Murphey

Cookies can be transferred between browsers too:

e https://stackoverflow.com/questions/32639014/is-it-possible-to-transfer-a-session-between-selenium-webdriver-and-requests-s

#9 - 08/11/2017 05:09 AM - Luke Murphey

- Status changed from New to Closed

05/03/2024
https://stackoverflow.com/questions/26050075/filling-out-web-form-data-using-built-in-python-modules
https://stackoverflow.com/questions/38520970/submitting-a-form-using-selenium-in-python
https://stackoverflow.com/questions/38839881/selenium-store-cookie-for-use-in-new-browser
https://stackoverflow.com/questions/30292025/selenium-trying-to-log-in-with-cookies-can-only-set-cookies-for-current-doma
https://stackoverflow.com/questions/32639014/is-it-possible-to-transfer-a-session-between-selenium-webdriver-and-requests-s
